RUS New site

Advanced search

[ New messages · Forum rules · Members ]
Page 2 of 2«12
Forum » SpaceEngine » Troubleshooting and Solutions » Error with loading surface generator shaders
Error with loading surface generator shaders
GaxxianDate: Friday, 02.01.2015, 03:09 | Message # 16
Observer
Group: Newbies
Spain
Messages: 4
Status: Offline
Thks Mosfet biggrin I chech that thread, but i can't find a satisfactory solution (my card drivers are updated :S).

And here is my se.log:

Code
SpaceEngine Version 0.9.7.2 beta

STARTING
Loading script "config/main.cfg"
[MT] Loading script "config/universe.cfg"
[MT] Loading script "config/user.cfg"
[MT] Loading  image "textures/common/splash19.jpg"
DONE

INITIALIZING OPENGL
[MT] Vendor:   ATI Technologies Inc.
[MT] Renderer: ATI Radeon HD 5450    
[MT] OpenGL version: 3.2.9655 Compatibility Profile Context
[MT] GLSL   version: 1.50
[MT] Saving  script "config/main.cfg"
[MT] Extensions: GL_AMDX_name_gen_delete GL_AMDX_random_access_target GL_AMDX_vertex_shader_tessellator GL_AMD_draw_buffers_blend GL_AMD_performance_monitor GL_AMD_seamless_cubemap_per_texture GL_AMD_shader_stencil_export GL_AMD_texture_cube_map_array GL_AMD_texture_texture4 GL_AMD_vertex_shader_tessellator GL_ARB_color_buffer_float GL_ARB_copy_buffer GL_ARB_depth_buffer_float GL_ARB_depth_clamp GL_ARB_depth_texture GL_ARB_draw_buffers GL_ARB_draw_buffers_blend GL_ARB_draw_elements_base_vertex GL_ARB_draw_instanced GL_ARB_fragment_coord_conventions GL_ARB_fragment_program GL_ARB_fragment_program_shadow GL_ARB_fragment_shader GL_ARB_framebuffer_object GL_ARB_framebuffer_sRGB GL_ARB_geometry_shader4 GL_ARB_half_float_pixel GL_ARB_half_float_vertex GL_ARB_imaging GL_ARB_instanced_arrays GL_ARB_map_buffer_range GL_ARB_multisample GL_ARB_multitexture GL_ARB_occlusion_query GL_ARB_pixel_buffer_object GL_ARB_point_parameters GL_ARB_point_sprite GL_ARB_provoking_vertex GL_ARB_sample_shading GL_ARB_seamless_cube_map GL_ARB_shader_objects GL_ARB_shader_texture_lod GL_ARB_shading_language_100 GL_ARB_shadow GL_ARB_shadow_ambient GL_ARB_sync GL_ARB_texture_border_clamp GL_ARB_texture_buffer_object GL_ARB_texture_compression GL_ARB_texture_compression_rgtc GL_ARB_texture_cube_map GL_ARB_texture_cube_map_array GL_ARB_texture_env_add GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3 GL_ARB_texture_float GL_ARB_texture_gather GL_ARB_texture_mirrored_repeat GL_ARB_texture_multisample GL_ARB_texture_non_power_of_two GL_ARB_texture_query_lod GL_ARB_texture_rectangle GL_ARB_texture_rg GL_ARB_texture_snorm GL_ARB_transpose_matrix GL_ARB_uniform_buffer_object GL_ARB_vertex_array_bgra GL_ARB_vertex_array_object GL_ARB_vertex_buffer_object GL_ARB_vertex_program GL_ARB_vertex_shader GL_ARB_window_pos GL_ATI_draw_buffers GL_ATI_envmap_bumpmap GL_ATI_fragment_shader GL_ATI_meminfo GL_ATI_separate_stencil GL_ATI_texture_compression_3dc GL_ATI_texture_env_combine3 GL_ATI_texture_float GL_ATI_texture_mirror_once GL_EXT_abgr GL_EXT_bgra GL_EXT_bindable_uniform GL_EXT_blend_color GL_EXT_blend_equation_separate GL_EXT_blend_func_separate GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_compiled_vertex_array GL_EXT_copy_buffer GL_EXT_copy_texture GL_EXT_draw_buffers2 GL_EXT_draw_instanced GL_EXT_draw_range_elements GL_EXT_fog_coord GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXT_framebuffer_object GL_EXT_framebuffer_sRGB GL_EXT_geometry_shader4 GL_EXT_gpu_program_parameters GL_EXT_gpu_shader4 GL_EXT_histogram GL_EXT_multi_draw_arrays GL_EXT_packed_depth_stencil GL_EXT_packed_float GL_EXT_packed_pixels GL_EXT_pixel_buffer_object GL_EXT_point_parameters GL_EXT_provoking_vertex GL_EXT_rescale_normal GL_EXT_secondary_color GL_EXT_separate_specular_color GL_EXT_shader_atomic_counters GL_EXT_shadow_funcs GL_EXT_stencil_wrap GL_EXT_subtexture GL_EXT_texgen_reflection GL_EXT_texture3D GL_EXT_texture_array GL_EXT_texture_buffer_object GL_EXT_texture_buffer_object_rgb32 GL_EXT_texture_compression_bptc GL_EXT_texture_compression_latc GL_EXT_texture_compression_rgtc GL_EXT_texture_compression_s3tc GL_EXT_texture_cube_map GL_EXT_texture_edge_clamp GL_EXT_texture_env_add GL_EXT_texture_env_combine GL_EXT_texture_env_dot3 GL_EXT_texture_filter_anisotropic GL_EXT_texture_integer GL_EXT_texture_lod GL_EXT_texture_lod_bias GL_EXT_texture_mirror_clamp GL_EXT_texture_object GL_EXT_texture_rectangle GL_EXT_texture_sRGB GL_EXT_texture_shared_exponent GL_EXT_texture_snorm GL_EXT_texture_swizzle GL_EXT_timer_query GL_EXT_transform_feedback GL_EXT_vertex_array GL_EXT_vertex_array_bgra GL_IBM_texture_mirrored_repeat GL_KTX_buffer_region GL_NV_blend_square GL_NV_conditional_render GL_NV_copy_depth_to_color GL_NV_explicit_multisample GL_NV_primitive_restart GL_NV_texgen_reflection GL_SGIS_generate_mipmap GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod GL_SUN_multi_draw_arrays GL_WIN_swap_hint WGL_EXT_swap_control
[MT] Floating-point pixel format: GL_RGBA16F_ARB
[MT] Half float supported
[MT] 3D textures supported
[MT] Stereoscopic draw buffers not supported
[MT] Binary shader program not supported
[MT] Sync objects IGNORED
[MT] Max texture image units: 16
[MT] Max vertex texture image units: 16
[MT] Max combined texture image units: 32
[MT] Max texture size: 16384
[MT] Max rectangle texture size: 16384
[MT] Max cubemap texture size: 16384
[MT] Max 3D texture size: 8192
[MT] Max viewport size: 16384 x 16384
[MT] Max anisotropy: 16
[MT] Max multisamples: 8
[MT] Draw buffers: 8
DONE

INITIALIZING OPENAL
[MT] Vendor:   Creative Labs Inc.
[MT] Renderer: Software
[MT] OpenAL Version: OpenAL 1.0
[MT] OpenAL Extentions: EAX 2.0, EAX 3.0, EAX Unified, and EAX-AC3
[MT] ALC Default device specifier: DirectSound3D
[MT] ALC Device specifier: DirectSound
[MT] ALC Extensions:  
[MT] Loading default sounds
DONE

INITIALIZING LOADER
[MT] Number of CPUs: 2
[MT] Loader threads: 1
[MT] RAM granularty: 4 kb
[MT] Total      RAM: 4095 Mb
[MT] Available  RAM: 3938 Mb
[MT] Total     VRAM: 464 Mb
[MT] Available VRAM: 464 Mb
[MT] Dedicated VRAM: 464 Mb (auto)
[MT] Dynamic video memory detection is enabled
[MT] Searching for pak files
[MT] Loading "catalogs/CatalogsSE.pak":    5 folders, 24 files
[MT] Loading "locale/Fonts.pak":    0 folders, 8 files
[MT] Loading "models/atmospheres/Atmospheres.pak":    0 folders, 10 files
[MT] Loading "models/spacecrafts/ShipsModelsSE.pak":    2 folders, 110 files
[MT] Loading "system/shaders.pak":    1 folders, 134 files
[MT] Loading "textures/common/CommonTexSE.pak":    0 folders, 16 files
[MT] Loading "textures/galaxies/GalaxiesTexSE.pak":    0 folders, 177 files
[MT] Loading "textures/nebulae/NebulaeTexSE.pak":    0 folders, 53 files
[MT] Loading "textures/planets/PlanetsTexSE.pak":    362 folders, 33958 files
[MT] Loading "textures/spacecrafts/ShipsTexSE.pak":    3 folders, 35 files
[MT] Total: 34525 files in 10 paks
[MT] Initializing the filesystem data
DONE

INITIALIZING OCULUS RIFT
[MT] Oculus Rift HMD not detected, using virtual debug HMD
[MT] Display device:      
[MT] Product name:       Oculus Rift DK1
[MT] Manufacturer:       Oculus VR
[MT] Display resolution: 1280 x 800
[MT] Render resolution:  2242 x 1553
[MT] Default FOV:        129.872
[MT] Maximum FOV:        149.937
[MT] Interpup. distance: 6.4
DONE

LOADING LOCALIZATIONS
[MT] 18 localizations found
[MT] Loading script "locale/esp-gui.cfg"
[MT] 961 localization strings loaded
DONE

INITIALIZING ENGINE
[MT] Loading script "config/user.cfg"
[MT] Loading shader "system/shaders/hdr_down.glsl"
[MT] ERROR: Compiling shader "system/shaders/hdr_down.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: 0:11: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/hdr_down.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:25: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/hdr_down.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/hdr_gauss_blur.glsl"
[MT] ERROR: Compiling shader "system/shaders/hdr_gauss_blur.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:9: error(#279) Invalid layout qualifier 'location'
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/hdr_gauss_blur.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:24: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/hdr_gauss_blur.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/hdr_tone.glsl"
[MT] ERROR: Compiling shader "system/shaders/hdr_tone.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:9: error(#279) Invalid layout qualifier 'location'
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/hdr_tone.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:24: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/hdr_tone.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/hdr_tone_alpha.glsl"
[MT] ERROR: Compiling shader "system/shaders/hdr_tone_alpha.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:9: error(#279) Invalid layout qualifier 'location'
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/hdr_tone_alpha.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:25: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/hdr_tone_alpha.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/hdr_tone_luma.glsl"
[MT] ERROR: Compiling shader "system/shaders/hdr_tone_luma.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:9: error(#279) Invalid layout qualifier 'location'
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/hdr_tone_luma.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:24: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/hdr_tone_luma.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/hdr_tone_bloom.glsl"
[MT] ERROR: Compiling shader "system/shaders/hdr_tone_bloom.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: 0:11: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/hdr_tone_bloom.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:25: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/hdr_tone_bloom.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/hdr_add_bloom.glsl"
[MT] ERROR: Compiling shader "system/shaders/hdr_add_bloom.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: 0:11: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/hdr_add_bloom.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:25: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/hdr_add_bloom.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/proj_fisheye.glsl"
[MT] ERROR: Compiling shader "system/shaders/proj_fisheye.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:11: error(#279) Invalid layout qualifier 'location'
ERROR: 0:12: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/proj_fisheye.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:26: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/proj_fisheye.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/proj_fisheye_gui.glsl"
[MT] ERROR: Compiling shader "system/shaders/proj_fisheye_gui.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:12: error(#279) Invalid layout qualifier 'location'
ERROR: 0:13: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/proj_fisheye_gui.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:27: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/proj_fisheye_gui.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/3D_interlace_ver.glsl"
[MT] ERROR: Compiling shader "system/shaders/3D_interlace_ver.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:9: error(#279) Invalid layout qualifier 'location'
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/3D_interlace_ver.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:24: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/3D_interlace_ver.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/3D_interlace_hor.glsl"
[MT] ERROR: Compiling shader "system/shaders/3D_interlace_hor.glsl":
Vertex shader failed to compile with the following errors:

Added (02.01.2015, 02:09)
---------------------------------------------

Code

ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:9: error(#279) Invalid layout qualifier 'location'
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/3D_interlace_hor.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:24: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/3D_interlace_hor.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/3D_shutter.glsl"
[MT] ERROR: Compiling shader "system/shaders/3D_shutter.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:9: error(#279) Invalid layout qualifier 'location'
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/3D_shutter.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:24: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/3D_shutter.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/3D_anaglyph.glsl"
[MT] ERROR: Compiling shader "system/shaders/3D_anaglyph.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: 0:11: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/3D_anaglyph.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:25: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/3D_anaglyph.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/hdr_copy.glsl"
[MT] ERROR: Compiling shader "system/shaders/hdr_copy.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:9: error(#279) Invalid layout qualifier 'location'
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/hdr_copy.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:24: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/hdr_copy.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/hdr_copy_cube.glsl"
[MT] ERROR: Compiling shader "system/shaders/hdr_copy_cube.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:9: error(#279) Invalid layout qualifier 'location'
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/hdr_copy_cube.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:24: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/hdr_copy_cube.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/3D_oculus_mesh.glsl"
[MT] ERROR: Compiling shader "system/shaders/3D_oculus_mesh.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:12: error(#279) Invalid layout qualifier 'location'
ERROR: 0:13: error(#279) Invalid layout qualifier 'location'
ERROR: 0:14: error(#279) Invalid layout qualifier 'location'
ERROR: 0:15: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 6 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/3D_oculus_mesh.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:46: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/3D_oculus_mesh.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/3D_oculus_mesh_chrom.glsl"
[MT] ERROR: Compiling shader "system/shaders/3D_oculus_mesh_chrom.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:12: error(#279) Invalid layout qualifier 'location'
ERROR: 0:13: error(#279) Invalid layout qualifier 'location'
ERROR: 0:14: error(#279) Invalid layout qualifier 'location'
ERROR: 0:15: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 6 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/3D_oculus_mesh_chrom.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:52: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/3D_oculus_mesh_chrom.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/3D_oculus_mesh_GUI.glsl"
[MT] ERROR: Compiling shader "system/shaders/3D_oculus_mesh_GUI.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:9: error(#279) Invalid layout qualifier 'location'
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/3D_oculus_mesh_GUI.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:28: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/3D_oculus_mesh_GUI.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/3D_oculus_gui.glsl"
[MT] ERROR: Compiling shader "system/shaders/3D_oculus_gui.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:12: error(#279) Invalid layout qualifier 'location'
ERROR: 0:13: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/3D_oculus_gui.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:27: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/3D_oculus_gui.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/3D_oculus_chrom_gui.glsl"
[MT] ERROR: Compiling shader "system/shaders/3D_oculus_chrom_gui.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:13: error(#279) Invalid layout qualifier 'location'
ERROR: 0:14: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/3D_oculus_chrom_gui.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:28: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/3D_oculus_chrom_gui.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/fxaa.glsl"
[MT] ERROR: Compiling shader "system/shaders/fxaa.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:287: error(#279) Invalid layout qualifier 'location'
ERROR: 0:288: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/fxaa.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:303: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/fxaa.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/fxaa_lum.glsl"
[MT] ERROR: Compiling shader "system/shaders/fxaa_lum.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:287: error(#279) Invalid layout qualifier 'location'
ERROR: 0:288: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/fxaa_lum.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:303: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/fxaa_lum.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading script "models/galaxies/Models.cfg"
[MT] Initializing galaxies models
[MT] Loading script "models/nebulae/Models.cfg"
[MT] Initializing nebulae models
[MT] Loading script "models/atmospheres/Atmospheres.pak/atmospheres.cfg"
[MT] Loading shader "system/shaders/atmo_transm.glsl"
[MT] ERROR: Compiling shader "system/shaders/atmo_transm.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:30: error(#106) Version number not supported by GL2
ERROR: 0:30: error(#308) Profile is invalid before glsl1.5.
ERROR: error(#273) 2 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/atmo_transm.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:30: error(#106) Version number not supported by GL2
ERROR: 0:30: error(#308) Profile is invalid before glsl1.5.
ERROR: error(#273) 2 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/atmo_transm.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/blackhole_disk.glsl"
[MT] ERROR: Compiling shader "system/shaders/blackhole_disk.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:30: error(#279) Invalid layout qualifier 'location'
ERROR: 0:31: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/blackhole_disk.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:43: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/blackhole_disk.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/blackhole_warp.glsl"
[MT] ERROR: Compiling shader "system/shaders/blackhole_warp.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:11: error(#279) Invalid layout qualifier 'location'
ERROR: 0:12: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/blackhole_warp.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:24: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/blackhole_warp.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/ship_warp.glsl"
[MT] ERROR: Compiling shader "system/shaders/ship_warp.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:12: error(#279) Invalid layout qualifier 'location'
ERROR: 0:13: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/ship_warp.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:25: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/ship_warp.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/get_pixel.glsl"
[MT] ERROR: Compiling shader "system/shaders/get_pixel.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:9: error(#279) Invalid layout qualifier 'location'
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/get_pixel.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:19: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/get_pixel.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/sun_flare_mark.glsl"
[MT] ERROR: Compiling shader "system/shaders/sun_flare_mark.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: 0:11: error(#279) Invalid layout qualifier 'location'
ERROR: 0:12: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 5 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/sun_flare_mark.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:22: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated

Added (02.01.2015, 02:09)
---------------------------------------------

Code

[MT] ERROR: Linking shader "system/shaders/sun_flare_mark.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/sun_flare_conv.glsl"
[MT] ERROR: Compiling shader "system/shaders/sun_flare_conv.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:13: error(#279) Invalid layout qualifier 'location'
ERROR: 0:14: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/sun_flare_conv.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:26: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/sun_flare_conv.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/sun_flare_ghost.glsl"
[MT] ERROR: Compiling shader "system/shaders/sun_flare_ghost.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:11: error(#279) Invalid layout qualifier 'location'
ERROR: 0:12: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/sun_flare_ghost.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:26: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/sun_flare_ghost.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/sun_flare_ghost_read.glsl"
[MT] ERROR: Compiling shader "system/shaders/sun_flare_ghost_read.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:12: error(#279) Invalid layout qualifier 'location'
ERROR: 0:13: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/sun_flare_ghost_read.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:27: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/sun_flare_ghost_read.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/billboard.glsl"
[MT] ERROR: Compiling shader "system/shaders/billboard.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:13: error(#279) Invalid layout qualifier 'location'
ERROR: 0:14: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/billboard.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:26: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/billboard.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/mipmap_down.glsl"
[MT] ERROR: Compiling shader "system/shaders/mipmap_down.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:9: error(#279) Invalid layout qualifier 'location'
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/mipmap_down.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:22: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/mipmap_down.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/mipmap_down_glow.glsl"
[MT] ERROR: Compiling shader "system/shaders/mipmap_down_glow.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:9: error(#279) Invalid layout qualifier 'location'
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/mipmap_down_glow.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:22: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/mipmap_down_glow.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/mipmap_down_norm.glsl"
[MT] ERROR: Compiling shader "system/shaders/mipmap_down_norm.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:9: error(#279) Invalid layout qualifier 'location'
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/mipmap_down_norm.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:22: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/mipmap_down_norm.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/mipmap_down_packed_norm.glsl"
[MT] ERROR: Compiling shader "system/shaders/mipmap_down_packed_norm.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:9: error(#279) Invalid layout qualifier 'location'
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/mipmap_down_packed_norm.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:22: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/mipmap_down_packed_norm.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/bump_to_normal.glsl"
[MT] ERROR: Compiling shader "system/shaders/bump_to_normal.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:9: error(#279) Invalid layout qualifier 'location'
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/bump_to_normal.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:22: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/bump_to_normal.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/bump_to_packed_normal.glsl"
[MT] ERROR: Compiling shader "system/shaders/bump_to_packed_normal.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:9: error(#279) Invalid layout qualifier 'location'
ERROR: 0:10: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/bump_to_packed_normal.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:22: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/bump_to_packed_normal.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/tg_spiral_galaxy.glsl"
[MT] ERROR: Compiling shader "system/shaders/tg_spiral_galaxy.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:30: error(#106) Version number not supported by GL2
ERROR: 0:30: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:37: error(#279) Invalid layout qualifier 'location'
ERROR: 0:38: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/tg_spiral_galaxy.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:30: error(#106) Version number not supported by GL2
ERROR: 0:30: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:50: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/tg_spiral_galaxy.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Loading shader "system/shaders/tg_sun_height.glsl"
[MT] ERROR: Compiling shader "system/shaders/tg_sun_height.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:30: error(#106) Version number not supported by GL2
ERROR: 0:30: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:37: error(#279) Invalid layout qualifier 'location'
ERROR: 0:38: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 4 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/tg_sun_height.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:30: error(#106) Version number not supported by GL2
ERROR: 0:30: error(#308) Profile is invalid before glsl1.5.
ERROR: 0:50: error(#279) Invalid layout qualifier 'location'
ERROR: error(#273) 3 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/tg_sun_height.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
[MT] Procedural generator shaders loaded in 116.345 ms
[MT] Loading  image "textures/common/CommonTexSE.pak/planet_atlas.png"
[MT] Loading script "textures/common/CommonTexSE.pak/atlas.cfg"
[MT] Loading script "textures/common/CommonTexSE.pak/palette.cfg"
[MT] Loading  image "textures/common/CommonTexSE.pak/particle.png"
[MT] Loading shader "system/shaders/particle.glsl"
[MT] ERROR: Compiling shader "system/shaders/particle.glsl":
Vertex shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: error(#273) 2 compilation errors.  No code generated
[MT] ERROR: Compiling shader "system/shaders/particle.glsl":
Fragment shader failed to compile with the following errors:
ERROR: 0:1: error(#106) Version number not supported by GL2
ERROR: 0:1: error(#308) Profile is invalid before glsl1.5.
ERROR: error(#273) 2 compilation errors.  No code generated
[MT] ERROR: Linking shader "system/shaders/particle.glsl":
Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called.  Link failed.
DONE

INITIALIZING ENGINE
DONE

RUNNING ENGINE

...................

...................

CLOSING LOADER
[MT] Waiting until loader tasks completed
DONE

DESTROYING UNIVERSE
[MT] Destroying planets
[MT] Destroying stars
[MT] Destroying nebulae
[MT] Destroying clusters
[MT] Destroying galaxies
DONE

FINISHED
 
HarbingerDawnDate: Friday, 02.01.2015, 03:12 | Message # 17
Cosmic Curator
Group: Administrators
United States
Messages: 8714
Status: Offline
You're running an outdated version of OpenGL. You need to update your graphics drivers (and then you'll probably have other ATI-related problems, in which case you'll need to see that other thread for fixes).




All forum users, please read this!
My SE mods and addons
Phenom II X6 1090T 3.2 GHz, 16 GB DDR3 RAM, GTX 970 3584 MB VRAM
 
Forum » SpaceEngine » Troubleshooting and Solutions » Error with loading surface generator shaders
Page 2 of 2«12
Search: